IPCRM(1)

NAZWA
ipcrm - usuwa określone zasoby IPC

SKŁADNIA

ipcrm [options]

ipcrm [shm|msg|sem] ID ...

OPIS

ipcrm usuwa z systemu obiekty komunikacji międzyprocesowej Systemu V (IPC) oraz skojarzone z nimi struktury danych. Aby usunąć takie obiekty, należy być superużytkownikiem lub twórcą albo właścicielem obiektu.

Są trzy typy obiektów IPC Systemu V: pamięć dzielona, kolejki komunikatów i semafory. Usuwanie obiektu typu kolejka komunikatów lub semafor jest natychmiastowe (niezależnie od tego, czy jakiś proces wciąż trzyma identyfikator IPC tego obiektu). Obiekt typu pamięć współdzielona jest usuwany tylko wtedy, gdy wszystkie obecnie połączone procesy odłączą (shmdt(2)) ten obiekt z ich wirtualnej przestrzeni adresowej.

Obsługiwane są dwa style składni. Stara, historyczna składnia linuksowa składa się trzyliterowego słowa kluczowego, określającego, jakiej klasy obiekt ma być usunięty, po którym następuje jeden lub więcej identyfikatorów IPC obiektów tego typu.

Składnia zgodna z SUS pozwala na podanie zera lub więcej obiektów wszystkich typów w pojedynczym wywołaniu. Obiekty mogą być określone albo przez klucz, albo przez identyfikator (patrz niżej). Zarówno klucze, jak i identyfikatory mogą być podane w postaci dziesiętnej, szesnastkowej (zaczynającej się od "0x" lub "0X") lub ósemkowej (zaczynającej się od "0").

Szczegóły usuwania są opisane w msgctl(2), shmctl(2) i semctl(2). Identyfikatory i klucze można znaleźć, używając polecenia ipcs(1).

OPCJE

-a, --all [shm] [msg] [sem]
    Remove all resources. When an option argument is provided, the removal is performed only for the specified resource types.

    Warning! Do not use -a if you are unsure how the software using the resources might react to missing objects. Some programs create these resources at startup and may not have any code to deal with an unexpected disappearance.

-M, --shmem-key klucz-pam-dziel
    Usuwa segment pamięci dzielonej utworzony z kluczem-pam-dziel, gdy tylko ostatni proces się od niego odłączy.

-m, --shmem-id id-pam-dziel
    Usuwa segment pamięci dzielonej identyfikowany przez id-pam-dziel, gdy tylko ostatni proces się od niego odłączy.

-Q, --queue-key klucz-komunik
    Usuwa kolejkę komunikatów utworzoną z kluczem-komunik.

-q, --queue-id id-komunik
    Usuwa kolejkę komunikatów identyfikowaną przez id-komunik.

-S, --semaphore-key klucz-semafora
    Usuwa semafor utworzony z kluczem-semafora.

-s, --semaphore-id id-semafora
    Usuwa semafor identyfikowany przez id-semafora.

-h, --help
    Wyświetla ten tekst i kończy pracę.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

UWAGI

W swojej pierwszej implementacji linuksowej, ipcrm używało przestarzałej składni pokazanej w drugim wierszu SKŁADNI. Od tego czasu została dodana funkcjonalność obecna w innych implementacjach *niksowych, mianowicie możliwość usuwania zasobów przez podanie klucza (a nie tylko identyfikatora) oraz zgodność składni polecenia. Dla zachowania wstecznej zgodności poprzednia składnia jest wciąż obsługiwana.

ZOBACZ TAKŻE

ipcmk(1), ipcs(1), msgctl(2), msgget(2), semctl(2), semget(2), shmctl(2), shmdt(2), shmget(2), ftok(3), sysvipc(7)

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

The ipcrm command is part of the util-linux package which can be downloaded from

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.